﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Configuration;
using MySql.Data.MySqlClient;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        DataTable dt = new DataTable();
        dt.Columns.AddRange(new DataColumn[2] { new DataColumn("Language"), new DataColumn("Content") });
        dt.Rows.Add("English", "World is beautiful.");
        dt.Rows.Add("Hindi", "दुनिया सुंदर है।");
        dt.Rows.Add("Marathi", "जग सुंदर आहे.");
        dt.Rows.Add("Gujarati", "વિશ્વ સુંદર છે.");
        dt.Rows.Add("Urdu", "دنیا خوبصورت ہے.");
        dt.Rows.Add("Persian", "جهانی زیبا است.");
        dt.Rows.Add("Arabic", "العالم هو جميل.");
        dt.Rows.Add("Tamil", "உலக அழகாக இருக்கிறது.");
        dt.Rows.Add("Telugu", "ప్రపంచ అందమైన ఉంది.");
        GridView1.DataSource = dt;
        GridView1.DataBind();
    }

    protected void Save(object sender, EventArgs e)
    {
        string constr = ConfigurationManager.ConnectionStrings["constr"].ConnectionString;
        using (MySqlConnection con = new MySqlConnection(constr))
        {
            foreach (GridViewRow row in GridView1.Rows)
            {
                using (MySqlCommand cmd = new MySqlCommand("INSERT INTO Languages VALUES(@Language, @Content)", con))
                {
                    cmd.Parameters.AddWithValue("@Language", row.Cells[0].Text);
                    cmd.Parameters.AddWithValue("@Content", row.Cells[1].Text);
                    con.Open();
                    cmd.ExecuteNonQuery();
                    con.Close();
                }
            }
        }
    }
}